
Infrastructure - Bug #2743

listObjects impl's do not support consistent slicing

2012-05-10 21:56 - Rob Nahf

Status: Closed Start date: 2012-05-11

Priority: Normal Due date: 2012-10-27

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.41-Block.6.1   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

for example, gmn imposes a limit of 1000 records allowed to be returned, and throws an InvalidRequest if asked to return more.  

We need to either standardize slice limits across implementations, or modify libclient methods to work-around the limitation by

making multiple calls.

algorithm:

1. call listObjects without count parameter

2. if resulting count < total, make count the increment, and call back to server for the next set.

3. repeat until total is reached.

Subtasks:

Task # 2747: fix testListObjects_FormatIDFIlter test to work around the limitation Closed

Task # 2748: update documentation for all slicing methods on count behavior Closed

Task # 2749: take out InvalidRequest response from GMN when count parameter is too high... Closed

History

#1 - 2012-05-10 22:02 - Rob Nahf

- Category set to Documentation

- Assignee set to Rob Nahf

#2 - 2012-05-10 23:52 - Matthew Jones

I would say this is a bug in GMN.  A request for 2000 (or unlimited) objects is valid according to the DataONE specs, and so an InvalidRequest should

not be thrown.

#3 - 2012-05-21 17:34 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.21-Block.3.3

- Position set to 1

- Position deleted (3)

#4 - 2012-06-12 16:28 - Rob Nahf

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.23-Block.3.4

#5 - 2012-06-15 16:54 - Rob Nahf

- Status changed from New to In Progress

#6 - 2012-07-09 13:31 - Dave Vieglais

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.27-Block.4.2

#7 - 2012-08-31 01:54 - Chris Jones
- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.37-Block.5.3

- Milestone changed from CCI-1.0.0 to CCI-1.0.5

#8 - 2012-08-31 15:23 - Rob Nahf

- Assignee changed from Rob Nahf to Dave Vieglais

#9 - 2012-10-03 15:39 - Chris Jones

- Due date set to 2012-09-22

#10 - 2012-10-03 15:39 - Chris Jones

- Milestone changed from CCI-1.0.5 to CCI-1.1

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

- Due date changed from 2012-09-22 to 2012-10-06

#11 - 2012-10-08 16:51 - Dave Vieglais

- Due date changed from 2012-10-06 to 2012-10-27

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#12 - 2012-10-09 16:35 - Dave Vieglais

- Status changed from In Progress to Closed
